Package: bcm43xx-fwcutter
Version: 20060501-2
Severity: wishlist
Tags: patch

Hi,
not using a temporary dir when downloading/extracting the firmware isn't
nice since we might blindly be overwriting/removing stuff that the user
wants (directories named wl/), etc. This patch uses a temporary dir:


--- /usr/share/bcm43xx-fwcutter/install_bcm43xx_firmware.sh     2006-05-14 
16:51:10.000000000 -0500
+++ install_bcm43xx_firmware.sh 2006-05-16 02:57:33.000000000 -0500
@@ -2,13 +2,14 @@
 
 set -e
 
+TEMPDIR=`mktemp -d` || exit 1
+
 tarball=kernel-binary-wl-0.5.tar.gz
 dname=wl_apsta.o
 if [ -e /usr/bin/wget ]; then DL=wget; fi
 if [ -e /usr/bin/curl ]; then DL="curl -o $tarball"; fi
 
-cd /tmp
-rm -rf wl
+cd $TEMPDIR
 # http://langerland.de/linux/bcm43xx/firmware.html; we need
 # a microcode11 one; not now atm but to be future-safe. openwrt has
 # one (wl_apsta.o)
@@ -20,5 +21,5 @@
 for i in *.fw; do
         mv $i /lib/firmware/$i;
 done
-cd ..
-rm -rf wl
+cd /tmp
+rm -rf $TEMPDIR

Cheers,
 -- Guido

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: powerpc (ppc)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-rc4
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages bcm43xx-fwcutter depends on:
ii  debconf [debconf-2.0]         1.5.1      Debian configuration management sy
ii  libc6                         2.3.6-7    GNU C Library: Shared libraries

Versions of packages bcm43xx-fwcutter recommends:
ii  curl                          7.15.3-1   Get a file from an HTTP, HTTPS, FT
ii  wget                          1.10.2-1   retrieves files from the web

-- debconf information:
* bcm43xx-fwcutter/cut_firmware: false


-- 
To UNSUBSCRIBE, email to [EMAIL PROTECTED]
with a subject of "unsubscribe". Trouble? Contact [EMAIL PROTECTED]

Reply via email to